* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}



.navbar {
    font-size: 18px;
    background-color: goldenrod;
    height:2em;
  
  }
  .menu {
    background-color: black;
    list-style-type: none;
    
    
  }
  
  
  
  .main-nav li {
    text-align: center;
    margin: 15px auto;
  }
  
  
  .menu a{
      text-align: center;
      transition-duration: 0.2s;
     
      color: black;
      text-decoration: none;
  }
  .menu a:hover{
      background-color: black;
      color: goldenrod;
  }
  
  .content{
    margin: 30px;
  }












































.menu {
    display: flex;
    justify-content: flex-end;

}


.menu a {
    display: flex;
    justify-content: center;
}


/* hambuger */

.navbar-toggle {
    cursor: pointer;
    color:black;
    font-size: 2em;
    position: absolute;
    top: 0.2em;
    margin-left: 2vh;
   display: none;
    z-index: 200;

}



/* tablette */


@media screen and (min-width:768px) and (max-width:980px) {
    .menu {
        justify-content: space-between;
    }
}


/* tel */


@media screen and (min-width:320px) and (max-width:767px) {
    .navbar-toggle {
        display: block;
    }

    .menu {
        display: none;

    }

    .navbar {
        display: block;
        position: relative;
    }
}







/* js
 */


 .active {
    display: flex;
    flex-direction: column;
}







/* icon animer hamburger */

.bar1,
.bar2,
.bar3 {
    width: 35px;
    height: 5px;
    background-color: black;
    margin: 6px 0;
    transition: 1s;

}

.change .bar1 {
    transform: rotate(-45deg) translate(-9px, 6px);
}

.change .bar2 {
    opacity: 0;
}

.change .bar3 {
    transform: rotate(45deg) translate(-8px, -8px);
}





















.jsp {
    width: 100%;
}

body {
    background-color: black;
    height: 100vh;
}

html {
    height: 100vh;
}



body h1 {
    color: goldenrod;
}





h1 {
    text-align: center;
}




footer {
    background-color: goldenrod;
    color: black;
    padding: 20px;
    display: flex;
    justify-content: space-between;

    position: relative;


    bottom: 0;

    width: 100%;

}






.ico {
    list-style: none;
    display: flex;
    padding: 0;
    margin: 0;
    transition: all 2s;
}


.ico li {
    margin-right: 50px;
    transition: 1s;
}


.ico li a {
    color: black;
    text-decoration: none;
    transition: 1s;
}

.ico li:hover {
    transform: scale(1.5);
    transform: rotate(2);
}

.containe {
    height: 100%;
}






















nav {
    width: 100%;
    z-index: 100;
    position: sticky;
    top: 0px;

}



nav ul {
    list-style-type: none;
    display: flex;

}

nav li {
    /* float: left; */
    /* width: 25%; */
    position: relative;
    flex-grow: 1;
    /* max-width: 25%; */
    text-align: center;



}



nav li a {
    text-decoration: none;
    display: block;

    color: red;
    font-weight: bold;
    border: 2px solid;
    /*backgroud ses le contout de basse et la couleru des encandrer*/
    color: black;
    background-color: goldenrod;
    height: 1.5em;


}


nav li a:hover {
    /* clor ses losque on passe la souri change le texte et lencadrer de couleru */
    color: goldenrod;
    /* back groud pour la couleur du fon */
    background-color: black;

}


















nav li ul {
    position: absolute;
    z-index: 100;
    width: 100%;
    display: none;
    background-color: goldenrod;}





    nav ul li:hover ul {
        /* display: block; */
        color: goldenrod;
        display: flex;
        flex-direction: column;
    
    }






   






    ul li a {
        font-size: 1.5em;
    }